#!/usr/bin/python3

import pyinotify
import storage_inotify
import sys

bus_notify = pyinotify.WatchManager()
notifier = pyinotify.Notifier(bus_notify, storage_inotify.BusNotify())

if __name__ == "__main__":
    ret = bus_notify.add_watch("/media", pyinotify.IN_CREATE)
    if ret.get("/media", -1) == -1:
        storage_inotify.log_transmit("超过最大监听上限，监听无效,监听程序退出", "error")
        sys.exit()
    notifier.loop()
